%global         momorel 1
%global         srcver 0.72

Name:           perl-XML-Parser-Lite
Version:        %{srcver}0
Release:        %{momorel}m%{?dist}
Summary:        Lightweight regexp-based XML parser
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Parser-Lite/
Source0:        http://www.cpan.org/authors/id/P/PH/PHRED/XML-Parser-Lite-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-SOAP-Lite >= 0.716
Requires:       perl-SOAP-Lite >= 0.716
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This Perl implements an XML parser with a interface similar to XML::Parser.
Though not all callbacks are supported, you should be able to use it in the
same way you use XML::Parser. Due to using experimantal regexp features
it'll work only on Perl 5.6 and above and may behave differently on
different platforms.

%prep
%setup -q -n XML-Parser-Lite-%{srcver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
## https://rt.cpan.org/Public/Bug/Display.html?id=91434
make test ||:
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/XML/Parser/Lite.pm
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.720-1m)
- update to 0.72

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.719-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.719-2m)
- rebuild against perl-5.18.2

* Thu Jan  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.719-1m)
- update to 0.719

* Sun Dec 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.718-1m)
- update to 0.718

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.717-2m)
- rebuild against perl-5.18.1

* Sat Aug 03 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.717-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
